<header class="header">
    <h1 class="header__header">Bewerbung</h1>
    <h2 class="o-cms-content__headline">{job.title}</h2>
</header>

<div class="tx-drk-applicationform">
    <f:form class="o-form c-form" id="applicationform" action="send" method="post" enctype="multipart/form-data"
            object="{candidate}" objectName="candidate" >
        <f:form.hidden property="job" />

        <section class="tx-drk-contactform-person">
            <h3 class="contactform">Ihre Daten</h3>
            <div class="o-form__item t-medium-24 columns is-last-in-row">
                <f:form.textfield class="o-form__field o-form__field--text" property="anrede" id="anrede" required="1"/>
                <label for="anrede" class="o-form__label">Ihre Anrede<span class="required">*</span></label>
                <div id="error_anrede"></div>
            </div>

            <div class="o-form__item t-medium-12 columns">
                <f:form.textfield class="o-form__field o-form__field--text" property="vorname" id="vorname" required="1" />
                <label for="vorname" class="o-form__label">Ihr Vorname<span class="required">*</span></label>
                <div id="error_vorname"></div>
            </div>
            <div class="o-form__item t-medium-12 columns is-last-in-row">
                <f:form.textfield class="o-form__field o-form__field--text" property="nachname" id="nachname" required="1"/>
                <label for="nachname" class="o-form__label">Ihr Nachname<span class="required">*</span></label>
                <div id="error_nachname"></div>
            </div>

            <div class="o-form__item t-medium-24 columns is-last-in-row">
                <f:form.textfield class="o-form__field o-form__field--text" property="geburtstag" id="geburtstag" required="1" type="date"/>
                <label for="geburtstag" class="o-form__label">Geburtstag<span class="required">*</span></label>
                <div id="error_geburtstag"></div>
            </div>

            <div class="o-form__item t-medium-12 columns">
                <f:form.textfield class="o-form__field o-form__field--text" property="plz" id="plz" required="1"/>
                <label for="plz" class="o-form__label">PLZ<span class="required">*</span></label>
                <div id="error_plz"></div>
            </div>

            <div class="o-form__item t-medium-12 columns is-last-in-row">
                <f:form.textfield class="o-form__field o-form__field--text" property="stadt" id="stadt" required="1"/>
                <label for="stadt" class="o-form__label">Stadt<span class="required">*</span></label>
                <div id="error_stadt"></div>
            </div>

            <div class="o-form__item t-medium-12 columns">
                <f:form.textfield class="o-form__field o-form__field--text" property="anschrift" id="anschrift" required="1"/>
                <label for="anschrift" class="o-form__label">Straße, Nr.<span class="required">*</span></label>
                <div id="error_anschrift"></div>
            </div>

            <div class="o-form__item t-medium-12 columns is-last-in-row">
                <f:form.textfield class="o-form__field o-form__field--text" property="telefon" id="telefon" required="1"/>
                <label for="telefon" class="o-form__label">Telefon<span class="required">*</span></label>
                <div id="error_telefon"></div>
            </div>

            <div class="o-form__item t-medium-12 columns">
                <f:form.textfield class="o-form__field o-form__field--text" property="mail" id="mail" required="1" type="email"/>
                <label for="mail" class="o-form__label">Ihre E-Mailadresse<span class="required">*</span></label>
                <div id="error_mail"></div>
            </div>

            <div class="o-form__item t-medium-12 columns is-last-in-row">
                <f:form.textfield class="o-form__field o-form__field--text" property="ausbildung" id="ausbildung" />
                <label for="ausbildung" class="o-form__label">Ausbildung<span class="required">*</span></label>
                <div id="error_ausbildung"></div>
            </div>
        </section>

        <section>
            <h3 class="contactform">Anmerkungen</h3>
            <div class="o-form__item t-medium-24 columns is-last-in-row">
                <f:form.textarea rows="10" cols="20" class="o-form__field o-form__field--textarea" property="info"
                                 id="info" placeholder="Ihre Mitteilung an uns"/>
            </div>
        </section>

        <section>

            <h3 class="contactform">Dokumente</h3>
            <p>Senden Sie uns Ihre wichtigsten Dateien im PDF-Format.</p>
            <div class="o-form__item t-medium-24 columns is-last-in-row">
                <div>
                    <f:form.upload property="upload1" id="upload1" class="inputfile" name="candidate[upload1]" />
                    <label for="upload1"><span></span> <strong>Datei auswählen</strong></label>
                </div>
            </div>
            <div class="o-form__item t-medium-24 columns is-last-in-row">
                <div>
                    <f:form.upload property="upload2" id="upload2" class="inputfile" name="candidate[upload2]" />
                    <label for="upload2"><span></span> <strong>Datei auswählen</strong></label>
                </div>
            </div>
            <div class="o-form__item t-medium-24 columns is-last-in-row">
                <div>
                    <f:form.upload property="upload3" id="upload3" class="inputfile" name="candidate[upload3]" />
                    <label for="upload3"><span></span> <strong>Datei auswählen</strong></label>
                </div>
                <p>{settings.documentnote}</p>
            </div>
            <f:comment>Schneller Bugfix, wegen leeren Formularen die durch Bots abgeschickt werden</f:comment>
            <f:form.hidden id="JavascriptTest" name="JavascriptTest" value="fehlt"></f:form.hidden>
            <script type="text/javascript">
                document.getElementById('JavascriptTest').value = 'klappt';
            </script>
        </section>
        <f:if condition="{privacy_url} != ''">
            <div class="o-form__item-group">
                <div class="o-form__item t-medium-24 columns is-last-in-row">
                    <p>Die
                        <f:link.typolink target="_blank" parameter="{privacy_url}"><b>Datenschutz-Hinweise</b>
                        </f:link.typolink>
                        habe ich zur Kenntnis genommen.
                    </p>
                </div>
            </div>
        </f:if>
        <div class="o-form__item-group">
            <div class="o-form__item t-medium-12 columns">
            </div>
            <div class="o-form__item t-medium-12 columns is-last-in-row">
                <f:form.submit value="Bewerbung abschicken" class="button button--primary o-btn o-btn--full"/>
            </div>
            <p>Die mit einem Stern (*) markierten Felder sind Pflichtfelder.</p>
        </div>
    </f:form>
</div>
